graph.tasks

## Class TestShortestPath

- java.lang.Object
- - graph.tasks.TestShortestPath

- All Implemented Interfaces:
    ShortestPath

      class TestShortestPath
      extends java.lang.Object
      implements ShortestPath

  Cvičná implementace algoritmu hledání nejkratší cesty.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) class` | `TestShortestPath.record`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Graph` | `graph`
    `private int` | `opCnt`
    `private boolean` | `ready`
    `private SequenceFactory` | `seqFac`
    `private TestShortestPath.record[][]` | `store`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestShortestPath(Graph aGraph, SequenceFactory aSeqFac)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private int` | `getIndex(GraphVertex v)`
    `int` | `getOperationCounter()` Provozní měření.
    `private void` | `searchBetween(int ix, int jx, Sequence res)`
    `Sequence` | `shortestPath(GraphTasksVertex aStart, GraphTasksVertex aTarget)` Hledání nejkratší cesty.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### store

          private TestShortestPath.record[][] store

    - #### ready

          private boolean ready

    - #### graph

          private Graph graph

    - #### seqFac

          private SequenceFactory seqFac

    - #### opCnt

          private int opCnt

  - ### Constructor Detail

    - #### TestShortestPath

          public TestShortestPath(Graph aGraph,
                                  SequenceFactory aSeqFac)

      Parameters:
        `aGraph` - graf, ve kterém se má hledat nejkratší cesta
        `aSeqFac` - továrna na posloupnosti (zde výsledná posloupnost vrcholů)

  - ### Method Detail

    - #### getIndex

          private int getIndex(GraphVertex v)

    - #### searchBetween

          private void searchBetween(int ix,
                                     int jx,
                                     Sequence res)

    - #### shortestPath

          public Sequence shortestPath(GraphTasksVertex aStart,
                                       GraphTasksVertex aTarget)

      Description copied from interface: `ShortestPath`
      Hledání nejkratší cesty.
      Specified by:
        `shortestPath` in interface `ShortestPath`
      Parameters:
        `aStart` - výchozí vrchol
        `aTarget` - cílový vrchol
      Returns:
        posloupnost vrcholů v pořadí, jak jimi prochází nejkratší cesta

    - #### getOperationCounter

          public int getOperationCounter()

      Description copied from interface: `ShortestPath`
      Provozní měření.
      Specified by:
        `getOperationCounter` in interface `ShortestPath`
      Returns:
        počet významných operací při posledním běhu algoritmu